import { Component,OnInit } from '@angular/core';
import { Kobiton } from 'protractor/built/driverProviders';
import { Korisnik } from './korisnik';
import { Knjiga } from './knjiga';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {
  title = 'Akademska misao';
  korisnici:Korisnik[];
  knjige:Knjiga[];

  ngOnInit() {
    this.korisnici=[
      {ime:"Nikola",prezime:"Ranković",tip:"autor",username:"nikola",password:"nikola123"},
      {ime:"Lazar",prezime:"Nikolić",tip:"autor",username:"laza",password:"laza123"},
      {ime:"Admin",prezime:"Admin",tip:"admin",username:"admin",password:"admin123"}
    ];

    this.knjige=[
      {Ime:"Sve je ovde divno",Autori:["nikola","laza"]},
      {Ime:"Novi putevi svile",Autori:["nikola"]},
      {Ime:"Kuća hiljadu maski",Autori:["nikola"]},
      {Ime:"Put promene",Autori:["laza"]},
      {Ime:"Balkanski špijun",Autori:["laza"]}
    ];

    localStorage.setItem("korisnici",JSON.stringify(this.korisnici));
    localStorage.setItem("knjige",JSON.stringify(this.knjige));
  }
}
