import { Component, OnInit,Input } from '@angular/core';
import { Korisnik } from '../korisnik';
import { Knjiga } from '../knjiga';

@Component({
  selector: 'app-autor',
  templateUrl: './autor.component.html',
  styleUrls: ['./autor.component.css']
})
export class AutorComponent implements OnInit {
  korisnik:Korisnik;
  naslov:string;
  knjiga:Knjiga;
  nadjena:boolean;

  constructor() { }

  ngOnInit() {
    this.korisnik=JSON.parse(localStorage.getItem("user"));
    this.nadjena=true;
  }

  pretrazi():void{
    this.knjiga = null;
    let knjige:Knjiga[]=JSON.parse(localStorage.getItem("knjige"));
    knjige.forEach(t=>{if(t.Ime==this.naslov){this.knjiga=t;}});
    if (this.knjiga==null) this.nadjena=false;
    else this.nadjena=true;
  }
}
