import { Component, OnInit } from '@angular/core';
import { Korisnik } from '../korisnik';

@Component({
  selector: 'app-register',
  templateUrl: './register.component.html',
  styleUrls: ['./register.component.css']
})
export class RegisterComponent implements OnInit {
  korisnik:Korisnik;
  korisnici:Korisnik[];
  msg: string;
  
  constructor() { }

  ngOnInit() {
    this.korisnik=new Korisnik();
  }

  addKorisnik():void{
    if(this.korisnik.username == null || this.korisnik.username == "" || this.korisnik.password == null || this.korisnik.password == "") {
      this.msg = "Unesite sve podatke";
      return;
    }
    let postoji:boolean=false;  
    this.korisnici=JSON.parse(localStorage.getItem("korisnici"));
    this.korisnici.forEach(t=> {if(t.username==this.korisnik.username)postoji=true});
    if(postoji){
      this.msg = "Vec postoji korisnik sa tim username-om";
      return;
    } 
    else this.korisnici.push(this.korisnik);
    localStorage.setItem("korisnici",JSON.stringify(this.korisnici));
    this.msg = "Unet korisnik";
  }

}
